The `Setoid` type defines equality.

Instances must obey the following laws:

1. Reflexivity: `S.equals(a, a) === true`
2. Symmetry: `S.equals(a, b) === S.equals(b, a)`
3. Transitivity: if `S.equals(a, b)` and `S.equals(b, c)`, then `S.equals(a, c)`

Equivalent with the `Setoid` specification in the static-land spec.

### Type parameters

- #### A

### Hierarchy

- Setoid

## Index

### Methods

- equals

## Methods

### equals

- equals(x: A, y: A): boolean

- - Defined in setoid.ts:22

  #### Parameters

  - ##### x: A

  - ##### y: A

  #### Returns boolean

Generated using TypeDoc